Bug 1533432 - python-keystoneauth1 needs updating in OSP13
Summary: python-keystoneauth1 needs updating in OSP13
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-keystoneauth1
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Upstream M3
: 13.0 (Queens)
Assignee: Marios Andreou
QA Contact: Shai Revivo
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-11 10:43 UTC by David Juran
Modified: 2018-06-27 13:42 UTC (History)
14 users (show)

Fixed In Version: python-keystoneauth1-3.4.0-1.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 13:41:30 UTC
Target Upstream Version:
scohen: needinfo+
scohen: needinfo+


Attachments (Terms of Use)
full trace from openstack undercloud upgrade (2.50 KB, text/plain)
2018-01-19 16:35 UTC, Marios Andreou
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:42:00 UTC

Description David Juran 2018-01-11 10:43:07 UTC
Description of problem:
The rhelosp-13.0-puddle repository contains
openstack-nova-17.0.0-0.20171206190932.cbdc893.el7ost and
python-keystoneauth1-3.1.0-1.el7ost

During the UnderCloud update from OSP12 to 13, the 

nova-manage db online_data_migrations fails with the following traceback:

 File "/usr/bin/nova-manage", line 6, in <module>
    from nova.cmd.manage import main
  File "/usr/lib/python2.7/site-packages/nova/cmd/manage.py", line 78, in <module>
    from nova.api.ec2 import ec2utils
  File "/usr/lib/python2.7/site-packages/nova/api/ec2/ec2utils.py", line 25, in <module>
    from nova import cache_utils
  File "/usr/lib/python2.7/site-packages/nova/cache_utils.py", line 22, in <module>
    import nova.conf
  File "/usr/lib/python2.7/site-packages/nova/conf/__init__.py", line 91, in <module>
    glance.register_opts(CONF)
  File "/usr/lib/python2.7/site-packages/nova/conf/glance.py", line 154, in register_opts
    deprecated_opts=deprecated_ksa_opts)
  File "/usr/lib/python2.7/site-packages/nova/conf/utils.py", line 83, in register_ksa_opts
    default_service_type, deprecated_opts=deprecated_opts), group=group)
  File "/usr/lib/python2.7/site-packages/nova/conf/utils.py", line 37, in get_ksa_adapter_opts
    deprecated_opts=deprecated_opts)
  File "/usr/lib/python2.7/site-packages/keystoneauth1/loading/adapter.py", line 217, in get_conf_options
    return Adapter.get_conf_options(*args, **kwargs)
TypeError: get_conf_options() got an unexpected keyword argument 'deprecated_opts'

My guess is that python-keystoneauth1 needs updating

Version-Release number of selected component (if applicable):
python-keystoneauth1-3.1.0-1.el7ost

Comment 1 Mike Burns 2018-01-16 13:09:01 UTC
Moving back to DFG:Upgrades to test since it's in the puddle.

This type of update, as long as it's in the RDO promotion, should happen automatically as we progress.  The latest puddle has 3.3.0

Comment 3 Marios Andreou 2018-01-19 16:35:13 UTC
Created attachment 1383498 [details]
full trace from openstack undercloud upgrade

o/ had a look since I hit this on my OSP12 beaker box. The error is happening here https://github.com/openstack/instack-undercloud/blob/cea0211ea6de152f8ffad4846188ce727a152e34/instack_undercloud/undercloud.py#L1963 which is "nova-manage db online_data_migrations".

Adding DFG:Compute to the Internal whiteboard and adding needinfo on the TC to see if they have any ideas (e.g. is this a known thing and indeed an outdated python-keystoneauth is the problem?).

Trying this tody I got python-keystoneauth1-3.1.0-1.el7ost.noarch with latest (rhos-release -x and rhos-release 13) and get the same trace with openstack undercloud upgrade, attaching here (there are a few lines missing in the trace from comment #0). 

Moving back to untriaged for now.

Comment 4 Marios Andreou 2018-01-19 16:36:51 UTC
Mat can you please see comment #3 I added DFG:Compute since the error comes via nova-manage ... is this something you know about/have any ideas?

Comment 5 Sergii Golovatiuk 2018-04-06 09:05:43 UTC
There is nothing to fix in nova. There was a similar case

https://review.openstack.org/#/c/557348/

as interface for oslo_db_api.wrap_db_retry was changed in Pike, deprecated in Queens and removed in Rocky. There is no issues when you do upgrade from Pike to Queens. However, when you try to upgrade directly to master which is Rocky nova-manage will fail as old interface for slo_db_api.wrap_db_retry is already removed there.

Comment 6 Marios Andreou 2018-04-24 13:23:25 UTC
moving to ON_QA - haven't seen this since my last comment

Comment 14 errata-xmlrpc 2018-06-27 13:41:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.